---
title: 'SVGAnimationElement: endEvent event'
slug: Web/API/SVGAnimationElement/endEvent_event
tags:
  - API
  - Reference
  - SMIL
  - SVG animations
  - SVGAnimationElement
  - events
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>endEvent</code> event of the {{domxref("SVGAnimationElement")}} interface is fired when at the active end of the animation is reached.</p>

<div class="notecard note">
<p><strong>Note</strong>: This event is not raised at the simple end of each animation repeat. This event may be raised both in the course of normal (i.e. scheduled or interactive) timeline play, as well as in the case that the element was ended with a DOM method.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TimeEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/SVGAnimationElement/onend">onend</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Animated_circle">Animated circle</h3>

<pre class="brush: html">&lt;svg xmlns="http://www.w3.org/2000/svg" width="300px" height="100px"&gt;
  &lt;title&gt;SVG SMIL Animate with Path&lt;/title&gt;
  &lt;circle cx="0" cy="50" r="50" fill="blue" stroke="black" stroke-width="1"&gt;
    &lt;animateMotion
       path="M 0 0 H 300 Z"
       dur="5s" repeatCount="indefinite" /&gt;
  &lt;/circle&gt;
&lt;/svg&gt;

&lt;hr&gt;

&lt;button&gt;Stop animation&lt;/button&gt;

&lt;ul&gt;

&lt;/ul&gt;</pre>

<pre class="brush: css">ul {
  height: 100px;
  border: 1px solid #ddd;
  overflow-y: scroll;
  padding: 10px 30px;
}</pre>

<pre class="brush: js">let svgElem = document.querySelector('svg');
let animateElem = document.querySelector('animateMotion');
let list = document.querySelector('ul');
let btn = document.querySelector('button');

animateElem.addEventListener('beginEvent', () =&gt; {
  let listItem = document.createElement('li');
  listItem.textContent = 'beginEvent fired';
  list.appendChild(listItem);
})

animateElem.addEventListener('endEvent', () =&gt; {
  let listItem = document.createElement('li');
  listItem.textContent = 'endEvent fired';
  list.appendChild(listItem);
})

animateElem.addEventListener('repeatEvent', (e) =&gt; {
  let listItem = document.createElement('li');
  let msg = 'repeatEvent fired';
  if(e.detail) {
    msg += '; repeat number: ' + e.detail;
  }
  listItem.textContent = msg;
  list.appendChild(listItem);
})

btn.addEventListener('click', () =&gt; {
  btn.disabled = true;
  animateElem.setAttribute('repeatCount', '1');
})</pre>

<p>{{EmbedLiveSample('Animated_circle', '100%', '300')}}</p>

<h3 id="Event_handler_property_equivalent">Event handler property equivalent</h3>

<p>Note that you can also create an event listener for the <code>end</code> event using the <code><a href="/en-US/docs/Web/API/SVGAnimationElement/onend">onend</a></code> event handler property:</p>

<pre class="brush: js">animateElem.onend = () =&gt; {
  console.log('endEvent fired');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'single-page.html#interact-EndEvent', 'endEvent')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimationElement.endEvent_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/SVG/SVG_animation_with_SMIL">SVG animation with SMIL</a></li>
 <li>{{event("beginEvent")}}</li>
 <li>{{event("repeatEvent")}}</li>
</ul>
